import s from 'service'
import db from 'db'

function main() {
    // 初始化数据库
    db.make(`
        User
        id v20 PK
        password c64
        salt c20
        name v100
    `)

    s.config({
        verifyFieldMessage: '参数验证失败：{{FAILED_FIELDS}}'
    })
    // 注册服务
    s.load('api/user.js', { min: 10, max: 100, idle: 20 })

    // 启动服务
    s.start()
}
